using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.HM
{
  [Description("年度风险评价计划审核表")]
  public partial class T_HM_EVALUATION_PLAN : MesEntityBase
  {
        [Description("评价年度")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public DateTime EVALUATION_DATE { get; set; }
        [Description("文件名称")]
        [DataFieldLength(100)]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public string DOCUMENT_NAME { get; set; }
        [Description("发起部门ID")]
        [DataFieldForeignKey("Nav_InitiatingDepartment")]
        [FormFieldEdit]
        public Guid? INITIATING_DEPARTMENT { get; set; }
        [Description("导航属性：发起部门")]
        public virtual T_FM_DEPARTMENT Nav_InitiatingDepartment { get; set; }
        [Description("组长ID")]
        [DataFieldForeignKey("Nav_GroupLeader")]
        [FormFieldTable]
        [FormFieldEdit]
        public Guid? GROUP_LEADER_ID { get; set; }
        [Description("导航属性：组长")]
        public virtual T_FM_USER Nav_GroupLeader { get; set; }
        [Description("组长意见")]
        [FormFieldEdit]
        [EnumName("HMOpinionEnmu")]
        public HMOpinionEnmu? GROUP_LEADER_OPINION { get; set; }
        [Description("副组长ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_DeputyGroupLeader")]
        public Guid? DEPUTY_GROUP_LEADER_ID { get; set; }
        [Description("导航属性：副组长")]
        public virtual T_FM_USER Nav_DeputyGroupLeader { get; set; }
        [Description("副组长意见")]
        [FormFieldEdit]
        [EnumName("HMOpinionEnmu")]
        public HMOpinionEnmu? DEPUTY_GROUP_LEADER_OPINION { get; set; }
        
        [Description("内容要求")]
        [DataFieldLength(500)]
        [FormFieldTable]
        [FormFieldEdit]
        public string EVALUATION_CONTENT { get; set; }
        [Description("导航属性：审批文件")]
        [FormFieldEdit]
        public ICollection<T_HM_EVALUATION_FILE> Nav_Files { get; set; }
        [Description("确认状态")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [EnumName("HMCheckStatueEnmu")]
        public int CHECK_STATUS { get; set; }
        [Description("发布状态")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [EnumName("FOPreMeetingStatusEnum")]
        public FOPreMeetingStatusEnum STATUS { get; set; }
        [Description("发布人ID")]
        [DataFieldForeignKey("Nav_ReleaseUser")]
        public Guid? RELEASE_USER_ID { get; set; }
        [Description("导航属性：发布人")]
        public virtual T_FM_USER Nav_ReleaseUser { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }

        [Description("审批流编号")]
        [DataFieldLength(50)]
        public string APPROVECODE { get; set; }
        [Description("审批意见")]
        [DataFieldLength(500)]
        public string AUDIT_OPINION { get; set; }
        [Description("导航属性：明细表")]
        [FormFieldEdit]
        public ICollection<T_HM_EVALUATION_DETAIL> Nav_Details { get; set; }
        [DataFieldIngore]
        public int IS_OVERTIME { get; set; }
    }
}
